<?php

namespace App\Jobs;

use App\Mail\GeneralQueryMail;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Mail;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class GeneralQueryJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $query_details;
    protected $caller_name;
    protected $email;
    protected $admin_email;
    protected $phone;

    public function __construct($query_details, $caller_name, $email, $admin_email, $phone)
    {
        $this->query_details = $query_details;
        $this->caller_name = $caller_name;
        $this->email = $email;
        $this->admin_email = $admin_email;
        $this->phone = $phone;
    }

    public function handle()
    {
        Mail::to($this->admin_email)
            ->send(new GeneralQueryMail(
                $this->query_details,
                $this->caller_name,
                $this->email,
                $this->admin_email,
                $this->phone
            ));
    }
}
