<?php

namespace App\Jobs;

use App\Mail\PhotographerRegisterMail;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Mail;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use App\Mail\ImageRequestMail;
use Illuminate\Foundation\Bus\Dispatchable;

class ImageRequestJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $description;
    protected $usage;
    protected $client_name;
    protected $email;
    protected $admin_email;
    protected $phone;

    public function __construct($description, $usage, $client_name, $email, $admin_email,$phone)
    {
        $this->description = $description;
        $this->usage = $usage;
        $this->client_name = $client_name;
        $this->email = $email;
        $this->admin_email = $admin_email;
        $this->phone = $phone;
    }

    public function handle()
    {
        Mail::to($this->admin_email)
            ->send(new ImageRequestMail(
                $this->description,
                $this->usage,
                $this->client_name,
                $this->email,
                $this->admin_email,
                $this->phone,
            ));
    }
}
