<?php

namespace App\Jobs;

use App\Mail\ReportIssueMail;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Mail;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class ReportIssueJob implements ShouldQueue
{
    use Dispatchable,InteractsWithQueue, Queueable, SerializesModels;

    protected $issue_description;
    protected $caller_name;
    protected $email;
    protected $admin_email;
    protected $phone;

    public function __construct($issue_description, $caller_name, $email, $admin_email, $phone)
    {
        $this->issue_description = $issue_description;
        $this->caller_name = $caller_name;
        $this->email = $email;
        $this->admin_email = $admin_email;
        $this->phone = $phone;
    }

    public function handle()
    {
        Mail::to($this->admin_email)
            ->send(new ReportIssueMail(
                $this->issue_description,
                $this->caller_name,
                $this->email,
                $this->admin_email,
                $this->phone
            ));
    }
}
