<?php

namespace App\Jobs;

use App\Mail\PhotographerRegisterMail;
use Illuminate\Bus\Queueable;
use Illuminate\Support\Facades\Mail;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;



class SendRegisterMailJob implements ShouldQueue
{
    use Dispatchable,InteractsWithQueue, Queueable, SerializesModels;

    protected $name;
    protected $portfolio_link;
    protected $location;
    protected $email;
    protected $admin_email;

    public function __construct($name, $portfolio_link, $location, $email, $admin_email)
    {
        $this->name = $name;
        $this->portfolio_link = $portfolio_link;
        $this->location = $location;
        $this->email = $email;
        $this->admin_email = $admin_email;
    }

    public function handle()
    {
        Mail::to($this->admin_email)
            ->send(new PhotographerRegisterMail(
                $this->name,
                $this->portfolio_link,
                $this->location,
                $this->email,
                $this->admin_email,
            ));
    }
}
