<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class GeneralQueryMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $query_details;
    protected $caller_name;
    protected $email;
    protected $admin_email;
    protected $phone;

    public function __construct($query_details, $caller_name, $email, $admin_email, $phone)
    {
        $this->query_details = $query_details;
        $this->caller_name = $caller_name;
        $this->email = $email;
        $this->admin_email = $admin_email;
        $this->phone = $phone;
    }

    public function build()
    {
        return $this->subject('New General Query Received')
                    ->view('emails.general_query')
                    ->with([
                        'query_details' => $this->query_details,
                        'caller_name' => $this->caller_name,
                        'email' => $this->email,
                        'phone' => $this->phone,
                    ]);
    }
}
