<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ReportIssueMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $issue_description;
    protected $caller_name;
    protected $email;
    protected $admin_email;
    protected $phone;

    public function __construct($issue_description, $caller_name, $email, $admin_email, $phone)
    {
        $this->issue_description = $issue_description;
        $this->caller_name = $caller_name;
        $this->email = $email;
        $this->admin_email = $admin_email;
        $this->phone = $phone;
    }

    public function build()
    {
        return $this->subject('New Issue Report Received')
                    ->view('emails.report_issue')
                    ->with([
                        'issue_description' => $this->issue_description,
                        'caller_name' => $this->caller_name,
                        'email' => $this->email,
                        'phone' => $this->phone,
                    ]);
    }
}
