<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('leads', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            // $table->string('name')->nullable();
            // $table->string('contact')->nullable();
            // $table->text('address')->nullable();
            // $table->date('birth_date')->nullable();
            $table->enum('status', ['pending', 'solved', 'in-progress'])->default('pending');
            $table->date('status_change_date')->nullable();

            $table->string('full_name')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('email')->nullable();
            $table->date('date_of_birth')->nullable();

            $table->string('street')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zip_code')->nullable();

            $table->string('employment_status')->nullable();
            $table->string('employer_name')->nullable();
            $table->string('job_title')->nullable();
            $table->string('employment_duration')->nullable();
            $table->decimal('monthly_income', 10, 2)->nullable();
            $table->string('work_phone')->nullable();

            $table->string('housing_status')->nullable();
            $table->decimal('monthly_payment', 10, 2)->nullable();
            $table->string('residence_duration')->nullable();

            $table->string('bankruptcy_history')->nullable();
            $table->string('co_signer')->nullable();
            $table->string('social_security_number')->nullable();
            $table->string('credit_check_consent')->nullable();

            $table->string('vehicle_type')->nullable();
            $table->string('vehicle_preference')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leads');
    }
};
