<?php

use App\Http\Controllers\AuthController;
use App\Http\Controllers\DealerController;
use App\Http\Controllers\AdminController;
use Illuminate\Support\Facades\Route;
use App\Http\Middleware\AdminMiddleware;

Route::get('/', function () {
    return auth()->check() ? redirect()->route('dashboard') : redirect()->route('login');
});

Route::get('/login', [AuthController::class, 'showLoginForm'])->name('login');
Route::post('/login', [AuthController::class, 'login']);
Route::post('/logout', [AuthController::class, 'logout'])->name('logout');
Route::post('/testmail', [DealerController::class, 'testmail'])->name('testmail');

Route::middleware(['auth'])->group(function () {

    Route::get('/dashboard', [AuthController::class, 'dashboard'])->name('dashboard');

    Route::middleware([AdminMiddleware::class])->group(function () {
        
        Route::get('/getUsers', [AdminController::class, 'getUsers'])->name('getUsers');
        Route::post('/updateLeadAssignedUser', [AdminController::class, 'updateLeadAssignedUser'])->name('updateLeadAssignedUser');

        Route::get('/dealers', [AdminController::class, 'index'])->name('dealers.index');

        Route::post('/dealer/store', [AdminController::class, 'store'])->name('dealer.store');
        Route::post('/dealer/addPincode', [AdminController::class, 'addPincode'])->name('dealers.addPincode');

        Route::get('/dealerLeadList/{id}', [AdminController::class, 'dealerLeadList'])->name('dealerLeadList');
        Route::get('/getdealerLead', [AdminController::class, 'getdealerLead'])->name('getdealerLead');

    });

    Route::get('/leadList', [DealerController::class, 'leadList'])->name('leads');
    Route::get('/leads', [DealerController::class, 'getleads'])->name('leads.index');
    Route::post('/lead/update-status/{id}', [DealerController::class, 'updateStatus'])->name('lead.updateStatus');
});
